Login
Register
  • Русский
  • English
Login
Register
  • Русский
  • English
  • GET STARTED
  • GITHUB
    • 🐘 SDK PHP
    • 👨‍💻 SDK GOLANG
    • ✳️ SDK NODE JS
  • AUTHENTICATION
    • 👨‍💼 User authentication
    • 👨‍💼 User registration
    • 🔐 Password recovery
  • INFORMATION
    • 🆕 Adding a new address
    • 🆎 Getting information at the address
    • 🔍 Search for supported cryptocurrencies at
    • 💰 Available currencies
  • RISK CHECK
    • 📑 Getting a list of quick checks
    • 🆕 Adding a new quick check
    • 📊 Getting information on quick verification
    • 🔄 Launching a quick check
  • INVESTIGATION
    • 📝 Getting a list of investigations
    • 🕵️‍♂️ Creating an investigation
    • 📋 Receiving information on the investigation
    • 📊 Getting data on the investigation graph
    • 🧐 In-depth investigation within the framework of the investigation
    • 🔄 Investigation launch
  • BALANCES
    • 💰 Getting user`s balance
    • 📜 Creating a payment invoice
    • 💵 Currencies allowed for replenishment
  • KYC VERIFICATION
    • 🆕 Create KYC verification
    • 📑 List KYC verifications
    • ▶️ Start verification session
    • 📷 Upload photos and documents
    • 📋 Get verification details
    • ⚙️ Get session parameters
    • 🔄 Update verification step
    • 🔍 Check document data
    • 👁️ Start liveness check
    • ✅ Verify liveness data
    • 🔤 Recognize document (OCR)

🔍 Check Document Data

Code samples

POST /webapi/kyc/user/{uuid}/check

Body parameter

{
  "document_type": "passport",
  "firstName": "Ivan",
  "lastName": "Ivanov",
  "patronymic": "Ivanovich",
  "dob": "1990-01-01",
  "passport_date": "2010-01-01",
  "seria": "1234",
  "number": "567890",
  "country": "ru"
}

🛠️ Parameters

NameInTypeRequiredDescription
uuidpathstring(uuid)trueVerification UUID
firstNamebodystringtrueFirst name
lastNamebodystringtrueLast name
dobbodystring(date)trueDate of birth (YYYY-MM-DD)
document_typebodystringfalseDocument type (passport, id_card)
patronymicbodystringfalsePatronymic (required for Russian passport)
passport_datebodystringfalseDocument issue date
seriabodystringfalseDocument series
numberbodystringfalseDocument number
document_numberbodystringfalseFull document number (alternative to seria/number)
residencebodystringfalsePlace of residence
citizenshipbodystringfalseCitizenship
fullAddressbodystringfalseFull address
zipCodebodystringfalseZIP code
citybodystringfalseCity
countrybodystringfalseCountry (ISO code)

Example responses

200 Response

{
  "success": true,
  "uuid": "550e8400-e29b-41d4-a716-446655440000",
  "status": 2,
  "step": 3,
  "session_end": "2023-12-01T10:30:00Z",
  "steps": {},
  "restrictions": {}
}

🔁 Responses

StatusMeaningDescriptionSchema
200OKDocument check initiatedKycParams
404Not FoundVerification not foundInline
422Unprocessable EntityValidation errorInline
No authentication required for this endpoint
Prev
🔄 Update verification step
Next
👁️ Start liveness check